package cpcns.shenpiyushe.controller;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import cpcns.base.common.resource.ContextHolder;
import cpcns.base.common.util.JsonWithJacksonUtils;
import cpcns.common.controller.commonController;
import cpcns.common.service.ICommonService;
import cpcns.jhsks.yonghuguanli.model.JiGouFenLei;
import cpcns.shenpiyushe.model.DShenPiRenYuan;
import cpcns.shenpiyushe.service.IDShenPiRenYuanService;
import cpcns.utils.PagerVO;
import java.io.IOException;
import java.util.Enumeration;
import java.util.Iterator;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import net.sf.json.JSONObject;
import org.apache.commons.lang.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

@Controller
@RequestMapping({"/dShenPiRenYuan"})
public class DShenPiRenYuanController extends commonController {
  @Autowired
  private IDShenPiRenYuanService dShenPiRenYuanService;
  
  @Autowired
  private ICommonService commonService;
  
  @RequestMapping({"/query.do"})
  public String execute(HttpServletRequest request) throws Exception {
    return "shenpiyushe/ShenPiYuSheList";
  }
  
  @RequestMapping({"/load.do"})
  @ResponseBody
  public String load(HttpServletRequest request, HttpServletResponse response) {
    String data = "";
    if (this.hangBiaoShi != null && this.hangBiaoShi.intValue() > 0)
      data = JsonWithJacksonUtils.getInstance().obj2Json(this.obj); 
    return data;
  }
  
  @RequestMapping({"/open.do"})
  public String open(HttpServletRequest request, HttpServletResponse response) {
    String hangBiaoShi = request.getParameter("hangBiaoShi");
    if (hangBiaoShi != null && !hangBiaoShi.equals("")) {
      DShenPiRenYuan spys = (DShenPiRenYuan)this.dShenPiRenYuanService.getById(Integer.valueOf(Integer.parseInt(hangBiaoShi)));
      getRequest().setAttribute("DShenPiRenYuan", spys);
    } 
    return "shenpiyushe/ShenPiYuShe_edit";
  }
  
  @RequestMapping({"/getAll.do"})
  public String getAll(HttpServletRequest request, HttpServletResponse response) throws IOException {
    String localName = request.getContextPath();
    if (localName != null && localName.indexOf("CPCNS07_GuanCangFuWuGuanLi") > 0)
      ContextHolder.setCustomerType("CPCNS_DA_GDXT"); 
    Enumeration<?> rnames = getRequest().getParameterNames();
    JSONObject jsonObject = new JSONObject();
    for (Enumeration<?> er = rnames; er.hasMoreElements(); ) {
      String thisName = er.nextElement().toString();
      String thisValue = getRequest().getParameter(thisName);
      jsonObject.put(thisName, thisValue);
    } 
    StringBuffer sqlWhere = new StringBuffer();
    Iterator<String> iterator = jsonObject.keys();
    while (iterator.hasNext()) {
      String key = iterator.next();
      String value = jsonObject.getString(key);
      if (value != null && !value.trim().equals("") && !key.equals("page") && !key.equals("rows") && !"order".equals(key) && !"sort".equals(key)) {
        if (key.contains("begin")) {
          key = key.substring(0, key.indexOf("begin"));
          sqlWhere.append(" and ").append(
              String.valueOf(key) + " >= " + "to_date('" + value + "'," + "'yyyy-mm-dd')");
          continue;
        } 
        if (key.contains("end")) {
          key = key.substring(0, key.indexOf("end"));
          sqlWhere.append(" and ").append(
              String.valueOf(key) + " =< " + "to_date('" + value + "'," + "'yyyy-mm-dd')");
          continue;
        } 
        if (!"server".equals(key) && !"table".equals(key)) {
          if (!key.contains("like")) {
            sqlWhere.append(" and ").append(String.valueOf(key) + " = '" + value + "'");
            continue;
          } 
          key = key.substring(0, key.indexOf("like"));
          sqlWhere.append(" and ").append(String.valueOf(key) + " like " + "'%" + value + "%'");
        } 
      } 
    } 
    String jsonString = "";
    if (StringUtils.isNotBlank(sqlWhere.toString())) {
      PagerVO pagevo = this.dShenPiRenYuanService.getAll(0, 0, sqlWhere.toString());
      jsonString = JsonWithJacksonUtils.getInstance().obj2Json(pagevo);
    } 
    write(response, jsonString);
    return null;
  }
  
  @RequestMapping({"getDanWeiName.do"})
  @ResponseBody
  public String getDanWeiName(HttpServletRequest request) {
    String danWeiXinXi = "";
    String jieDianBiaoShi = request.getParameter("jieDianBiaoShi");
    String json = "";
    if (StringUtils.isNotBlank(jieDianBiaoShi)) {
      JiGouFenLei jg = this.commonService.getJiGouRenYuan(Integer.parseInt(jieDianBiaoShi));
      json = JsonWithJacksonUtils.getInstance().obj2Json(jg);
    } 
    return json;
  }
}
